/**
 * 
 */
package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * @author Salman
 * @since Mar 21, 2023 2:34:40 PM
 */
@Entity
@Table(name = "sdm_targetremundokterdetail_t")
public class TargetRemunDokterDetail extends BaseTransaction {
	private static final long serialVersionUID = 5245756229984218978L;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "targetremunfk")
	@Caption(value = "Target Remun")
	private TargetRemunDokter targetRemun;

	@Column(name = "targetremunfk", columnDefinition = "CHAR(32)", insertable = false, updatable = false)
	private String targetRemunId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "objectpegawaifk")
	@NotNull(message = "Pegawai harus diisi")
	@Caption(value = "Pegawai")
	private Pegawai pegawai;

	@Column(name = "objectpegawaifk", insertable = false, updatable = false, nullable = false)
	private Integer pegawaiId;

	@Column(name = "rupiahtarget", nullable = false)
	@NotNull(message = "Rupiah target harus diisi")
	@Caption(value = "Rupiah target")
	private Double rupiah;
	
	@Column(name = "tglinput", nullable = false)
	@Temporal(TemporalType.TIMESTAMP)
	@NotNull(message = "Tanggal Input harus diisi")
	@Caption(value = "Tanggal Input")
	private Date tglInput;

	@Column(name = "tmt", nullable = false)
	@Temporal(TemporalType.DATE)
	@NotNull(message = "TMT harus diisi")
	@Caption(value = "TMT")
	private Date tmt;

	public TargetRemunDokter getTargetRemun() {
		return targetRemun;
	}

	public void setTargetRemun(TargetRemunDokter targetRemun) {
		this.targetRemun = targetRemun;
	}

	public String getTargetRemunId() {
		return targetRemunId;
	}

	public void setTargetRemunId(String targetRemunId) {
		this.targetRemunId = targetRemunId;
	}

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public Double getRupiah() {
		return rupiah;
	}

	public void setRupiah(Double rupiah) {
		this.rupiah = rupiah;
	}
	
	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public Date getTmt() {
		return tmt;
	}

	public void setTmt(Date tmt) {
		this.tmt = tmt;
	}

}
